/*
 * Created on Apr 16, 2004
 *
 */
package LumiSoft.UI.Controls.Grid;

import LumiSoft.Data.*;

/**
 * 
 */
public class WGridAdapter implements WGridListener 
{
	public void OnActiveRowChanged(DataRowView dr){}
	
	public void OnRowDoubleClicked(DataRowView dr){}
	
	public boolean OnAddRow(DataRowView dr)
	{
		return true;
	}
	
	public boolean OnDeleteRow(DataRowView dr)
	{
		return true;
	}
	
	public boolean OnUpdateRow(DataRowView dr)
	{
		return true;
	}
	
	public boolean OnValidateCellValue(WGridColumn column,DataRowView dr,Object value)
	{
		return true;
	}
	
	public void OnNewItemRowAdded(DataRowView dr)
	{		
	}
	
	/**
	 * Is called when Main grid view maximize/minimize button clicked.
	 */
	public void OnMaxMinButtonPressed(boolean maximized){}
}
